embedded.checkout.create({ checkout_id: String(id) })) or through the returned checkout_url.checkouts.read_write - Checkouts Read & WriteAuthorization: Bearer ********************{
"reference_id": "topup-8812",
"taxable": true,
"currency": "SAR",
"items": [
{
"name": {
"ar": "رصيد 500 رسالة",
"en": "500 SMS credits"
},
"amount": 125,
"quantity": 500,
"description": "Top-up for October"
}
]
}curl --location 'https://api.salla.dev/admin/v2/checkouts' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"reference_id": "topup-8812",
"taxable": true,
"currency": "SAR",
"items": [
{
"name": {
"ar": "رصيد 500 رسالة",
"en": "500 SMS credits"
},
"amount": 125,
"quantity": 500,
"description": "Top-up for October"
}
]
}'{
"status": 201,
"success": true,
"data": {
"id": 1638492741,
"reference_id": "topup-8812",
"status": "pending",
"subtotal": {
"amount": 125,
"currency": "SAR"
},
"total_discount": {
"amount": 0,
"currency": "SAR"
},
"tax": {
"amount": 18.75,
"currency": "SAR"
},
"total": {
"amount": 143.75,
"currency": "SAR"
},
"checkout_url": "https://s.salla.sa/checkout/1638492741",
"paid_at": null,
"items": [
{
"name": "رصيد 500 رسالة",
"description": "Top-up for October",
"quantity": 500,
"amounts": {
"price_without_tax": {
"amount": 0.25,
"currency": "SAR"
},
"total_discount": {
"amount": 0,
"currency": "SAR"
},
"tax": {
"percent": 15,
"amount": {
"amount": 18.75,
"currency": "SAR"
}
},
"total": {
"amount": 143.75,
"currency": "SAR"
}
}
}
]
}
}